Slug Endpoints
These are some special endpoints intended for referencing slug names for JSON payloads in the API. They are public endpoints which do not require authentication.
Important
There is also an API slug reference page in the panel: https://cloud.syminet.com/slices/slugs ↗
Regions
Type: GET
- https://cloud.syminet.com/api/v1/slices/regions
Return a list of regions, including the slug to be used for the``region`` property of JSON payloads when creating and rebuilding slices.
curl --request GET --url https://cloud.syminet.com/api/v1/slices/regions
Response:
JSON payload. The response is very simple, two properties each:
- description
Longer description.
- region
regionslug for creating new slices.
{
"description": "San Francisco",
"region": "SFO1"
}
Slice Distribution Images
Type: GET
- https://cloud.syminet.com/api/v1/slices/sizes
Return a list of OS Distribution images, including the slug to be used for the``os_name`` property of JSON payloads when creating and rebuilding slices.
curl --request GET --url https://cloud.syminet.com/api/v1/slices/dists
Response:
JSON payload. The response is very simple, two properties each:
- legacy
If == “true”, then this is an older unsupported distribution. Use at your own risk, as these are no longer receiving security updates.
- os_name
os_nameslug that can be used in API JSON payloads when creating and rebuilding slices. They are self-explanatory, e.g. “debian12”. We currently use names from theosinfo-queryprogram, see https://libosinfo.org
{
"legacy" : null,
"os_name" : "debian12"
},
Slice Sizes
Type: GET
- https://cloud.syminet.com/api/v1/slices/sizes
Return a list of slice sizes, including the slug to be used for the
sizeproperty of JSON payloads when creating and rebuilding slices.
curl --request GET --url https://cloud.syminet.com/api/v1/slices/sizes
Response:
JSON payload. There is a JSON object returned for each type of slice:
standard
high_cpu
high_memory
high_disk
Each of these types contain the same following properties for each slice plan:
- disk
Integer, disk size in GB.
- hourly
Float, hourly rate.
- monthly
Integer, monthly cap rate.
- ram
Integer, RAM in GB,
- slug
sizeslug for API calls to create, resize and rebuild slices, e.g.s-8gb,- transfer
Integer, outbound public bandwidth in GB.,
- vcpu
Integer, number of CPU cores.
{
"disk" : 200,
"hourly" : 0.1027,
"monthly" : 68,
"ram" : 12,
"slug" : "s-12gb",
"transfer" : 4750,
"vcpu" : 4
},